#ifndef CLIENTANSWERPARSER_H
#define CLIENTANSWERPARSER_H

#include <QObject>

#include <Systems/Parsers/dataparser.h>
#include <Data/typesDataServerClient.h>


class ClientAnswerParser : public QObject
{
    Q_OBJECT
public:
    explicit ClientAnswerParser(QObject *parent = nullptr);
    void initialize(DataParser *dataParser);

    QByteArray authorization(bool result, QString instructorName, QString clientName, QString accessType, QString login);
    QByteArray deAuthorization(bool result, QString login);
    QByteArray message(QString text, QString login = "");
    QByteArray task(QString text);
    QByteArray notify(QString code);
    QByteArray tasks(QStringList listTasks);
    QByteArray currentVersion();
signals:

private:
    DataParser *dataParser;
};

#endif // CLIENTANSWERPARSER_H
